<% '
   '  ProfileProperties
   '

   'Initialize Standard Information
   Index     = request("Index")           ' The last selected Index number
   RecId     = request("RecId")           ' If a record Id was passed
   RunReport = (request("RunReport")<>"") ' If run report was selected
%>

<% ' redirects must occur before any html output!
    If RunReport then
        Response.redirect (".asp?RunReport=1&Index=" & Index)
    end if 
%>

<html>

<head>
<meta http-equiv="Content-Type"
content="text/html;charset=iso-8859-1">
<meta name="GENERATOR" content="DataFlex WebApp Studio">
<title>ProfileProperties</title>
<style>
<!--
  @import URL(css/cms.css) ;
  td    {}
  Body  {}
  Table {}
  Form  {}
  .EntryTable {}
  .EntryTable .Data { }
  .EntryTable .Error {  }
  .EntryTable .Label {  }
-->
</style>

</head>
<body topmargin="5" leftmargin="5">

<% CheckFieldChange=oProfileProperties.call("get_peFieldMultiUser") %>
<!-- #INCLUDE FILE="inc/SetChangedStates-script.inc" -->

<!-- #INCLUDE FILE="inc/ddValue_Constants.inc" -->

<% ' DebugMode =1 ' uncomment this for page get/post debug help %>
<!-- #INCLUDE FILE="inc/DebugHelp.inc" -->

<h3>ProfileProperties</h3>

<%
  oProfile.call "set_pbReportErrors", 1 'normally show any errors that occur
  'We either find a record, or clear the WBO
  If RecId <> "" Then
      Err = oProfile.RequestFindbyRecId( "User", RecId)
  else 
      Err = oProfile.RequestClear("User",1)
  End if

  ' process various buttons that might have been pressed.
  ' only support Post submissions
  If request("Request_method")="POST" Then

      if Request("clear")<>"" then
          Err = oProfile.RequestClear("User",1)
      end if

      if Request("save")<>"" then
          oProfile.call "set_pbReportErrors", 0
          err = oProfile.RequestSave("User")
          if err = 0 then
              Response.Write("<center> <h4>User record saved</h4> </center>")
          else
              Response.Write("<font color=""red"">")
              Response.Write("<center> <h4>Could not save changes. Errors Occurred</h4> </center>")
              oProfile.call "msg_ReportAllErrors"
              Response.Write("</font>")
          end if
      end if

      if Request("delete")<>"" then
          oProfile.call "set_pbReportErrors", 0
          Err = oProfile.RequestDelete("User")
          if err = 0 then
             Response.Write("<center> <h4>The record has been deleted.</h4> </center>")
          else
             Response.Write("<font color=""red"">")
             Response.Write("<center> <h4>The record could not be deleted.</h4> </center>")
             oProfile.call "msg_ReportAllErrors"
             Response.Write("</font>")
          end if
      end if

      ' note we use the Index variable we created above
      if Request("findprev") <>"" then  Err = oProfile.RequestFind("User", Index, LT)
      if Request("find")     <>"" then  Err = oProfile.RequestFind("User", Index, GE)
      if Request("findnext") <>"" then  Err = oProfile.RequestFind("User", Index, GT)
      if Request("findfirst")<>"" then  Err = oProfile.RequestFind("User", Index, FIRST_RECORD)
      if Request("findlast") <>"" then  Err = oProfile.RequestFind("User", Index, LAST_RECORD)

 end if

%>


<Form action="ProfileProperties.asp" method="POST" name="User" onsubmit="SetChangedStates(this)">

<% ' You MUST have a hidden recnum field for each DDO in your WBO %>
<input type="hidden" size="15" name="User__Recnum" Value="<%=oProfile.DDValue("User.Recnum")%>" >
<% ' This is needed if you need field level change state checking %>
<Input type="hidden" name="ChangedStates" value="">

<hr>
<p>
<input type="submit" name="save" value="Save">
<input type="submit" name="delete" value="Delete">
<input type="submit" name="clear" value="Clear">
</p>
<p>
Find 
<input type="submit" name="findfirst" value="&lt;&lt;">
<input type="submit" name="findprev" value="&lt;">
<input type="submit" name="find" value="=">
<input type="submit" name="findnext" value="&gt;">
<input type="submit" name="findlast" value="&gt;&gt;">
 or 
<input type="submit" name="RunReport" value="List">
</p>

<hr>

<blockquote>


<table border="0" Class="EntryTable">

  <tr>
      <%FieldError=oProfile.DDValue("Profile.Firstname",DDFIELDERROR) %>
      <td class="edit">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Firstname
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="30" title="" name="Profile__Firstname" value="<%=oProfile.DDValue("Profile.Firstname") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.User_Id",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      User Id
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="10" title="" name="User__User_Id" value="<%=oProfile.DDValue("User.User_Id") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Created",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Created
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="6" title="" name="User__Created" value="<%=oProfile.DDValue("User.Created") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Last_Login_Date",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Updated
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="6" title="" name="User__Last_Login_Date" value="<%=oProfile.DDValue("User.Last_Login_Date") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Time_In_Min",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Time In Min
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="12" title="" name="User__Time_In_Min" value="<%=oProfile.DDValue("User.Time_In_Min") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Num_Visits",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Num Visits
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="4" title="" name="User__Num_Visits" value="<%=oProfile.DDValue("User.Num_Visits") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Login_Id",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Name
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="35" title="" name="User__Login_Id" value="<%=oProfile.DDValue("User.Login_Id") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Password",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Password
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="12" title="" name="User__Password" value="<%=oProfile.DDValue("User.Password") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Passcheck",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Passcheck
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="12" title="" name="User__Passcheck" value="<%=oProfile.DDValue("User.Passcheck") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Email",DDFIELDERROR) %>
      <td Class="Label">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Email
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data">
      <input type="text" size="128" title="" name="User__Email" value="<%=oProfile.DDValue("User.Email") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error"><%=FieldError%></td>
      <% end if %>
  </tr>

</table>

</blockquote>


<hr>
</form>

<h5>Copyright Your Company Name here...<br>
Last revised: 30/04/2001</h5>

</body>
</html>