<% '
   '  Profile Entry
   '

   'Initialize Standard Information
   Index     = 1' This Page uses a Fixed finding index
   RecId     = request("RecId")           ' If a record Id was passed
   RunReport = (request("RunReport")<>"") ' If run report was selected
   NewUser   = (request("NewUser")<>"") ' For entering a new userprofile

%>
<!-- #include file ="inc\umsinit.asp" -->
<%

  If RecId = 0 then
    RecId = oProfile.Call("Get_FindCurrentProfile") ' returns the RecId of user
  end if

%>

<% ' redirects must occur before any html output!
    If RunReport then
        Response.redirect ("UserReport.asp?RunReport=1&Index=" & Index & "&SessionID=" & SID)
    end if 
%>

<% response.write DocType %>
<html>

<head>
<% oSession.Call "msg_WriteHtmlHeadSection" %>
</head>
<body>

<% CheckFieldChange=oProfile.call("get_peFieldMultiUser") %>
<!-- #INCLUDE FILE="inc/SetChangedStates-script.inc" -->

<!-- #INCLUDE FILE="inc/ddValue_Constants.inc" -->

<% ' DebugMode =1 ' uncomment this for page get/post debug help %>
<!-- #INCLUDE FILE="inc/DebugHelp.inc" -->


<div align="left">
<!-- #include file ="inc\umenutop.asp" -->

<!-- #include file ="inc\umenuleft.asp" -->

<div class="PageContent">
<%if sUserName <> "" then
  response.write ("<br><p class='Content'>Hello ")
  response.write (sUserName)
  response.write (", welcome to the contribution management pages.</p>")
end if%>

<%oContent.Call "Get_Display",PageId%>
<p class='Header'>Profile Entry</p>

<%
  oProfile.call "set_pbReportErrors", 1 'normally show any errors that occur
  'We either find a record, or clear the WBO
  If RecId <> "" Then
      Err = oProfile.RequestFindbyRecId( "User", RecId)
  else 
      Err = oProfile.RequestClear("User",1)
  End if

  ' process various buttons that might have been pressed.
  ' only support Post submissions
  If request("Request_method")="POST" Then

      if Request("clear")<>"" then
          Err = oProfile.RequestClear("User",1)
      end if

      if Request("save")<>"" then
          oProfile.call "set_pbReportErrors", 0
          err = oProfile.RequestSave("User")
          if err = 0 then
              Response.Write("<center> <h4>Your profile is saved</h4> </center>")
          else
              Response.Write("<font color=""red"">")
              Response.Write("<center> <h4>Could not save changes. Errors Occurred</h4> </center>")
              oProfile.call "msg_ReportAllErrors"
              Response.Write("</font>")
          end if
      end if

      if Request("delete")<>"" then
          oProfile.call "set_pbReportErrors", 0
          Err = oProfile.RequestDelete("User")
          if err = 0 then
             Response.Write("<center> <h4>The record has been deleted.</h4> </center>")
          else
             Response.Write("<font color=""red"">")
             Response.Write("<center> <h4>The record could not be deleted.</h4> </center>")
             oProfile.call "msg_ReportAllErrors"
             Response.Write("</font>")
          end if
      end if

      ' note we use the Index variable we created above
      if Request("findprev") <>"" then  Err = oProfile.RequestFind("User", Index, LT)
      if Request("find")     <>"" then  Err = oProfile.RequestFind("User", Index, GE)
      if Request("findnext") <>"" then  Err = oProfile.RequestFind("User", Index, GT)
      if Request("findfirst")<>"" then  Err = oProfile.RequestFind("User", Index, FIRST_RECORD)
      if Request("findlast") <>"" then  Err = oProfile.RequestFind("User", Index, LAST_RECORD)

 end if

%>


<Form action="Profile.asp" method="POST" name="User" onsubmit="SetChangedStates(this)">

<% ' You MUST have a hidden recnum field for each DDO in your WBO %>
<input type="hidden" size="15" name="User__Recnum" Value="<%=oProfile.DDValue("User.Recnum")%>" >
<input type="hidden" size="15" name="Profile__Recnum" Value="<%=oProfile.DDValue("Profile.Recnum")%>" >
<% ' This is needed if you need field level change state checking %>
<Input type="hidden" name="ChangedStates" value="">
<Input type="hidden" name="NewUser" value="<%=NewUser%>">
<Input type="hidden" name="SessionID" value="<%=SID%>">

<p>
<input type="submit" name="save" value="Save">
<% If  HasAdminRights > 0 then %>
<input type="submit" name="delete" value="Delete">
<input type="submit" name="clear" value="Clear">

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Find 
<input type="submit" name="findfirst" value="&lt;&lt;">
<input type="submit" name="findprev" value="&lt;">
<input type="submit" name="find" value="=">
<input type="submit" name="findnext" value="&gt;">
<input type="submit" name="findlast" value="&gt;&gt;">
 or 
<input type="submit" name="RunReport" value="List">
<% end if %>
<% If NewUser then %>
<br><p>Please enter the following information.<br></p>
The fields marked with a <b><font color="#FF0000"> *** </font></b><font color="#FFFFFF">are
required.</font><br>
<% end if %>
</p>

<blockquote>


<table border="0" Class="EntryTable" width="578">

  <tr>
      <%FieldError=oProfile.DDValue("User.Firstname",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      First name
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="30" title="" name="User__Firstname" value="<%=oProfile.DDValue("User.Firstname") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Middlename",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Middle
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="30" title="" name="User__Middlename" value="<%=oProfile.DDValue("User.Middlename") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Lastname",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Last name
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="50" title="" name="User__Lastname" value="<%=oProfile.DDValue("User.Lastname") %>" ><font color="#FF0000"><b>&nbsp***&nbsp;&nbsp;</b></font>
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Email_Address",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Email Address
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="50" title="" name="User__Email_Address" value="<%=oProfile.DDValue("User.Email_Address") %>" ><font color="#FF0000"><b>&nbsp***&nbsp;</b></font>
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Company",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Company
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="50" title="" name="User__Company" value="<%=oProfile.DDValue("User.Company") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Url_Company",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Company website
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="50" title="" name="User__Url_Company" value="<%=oProfile.DDValue("User.Url_Company") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Url_Personal",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Personal website
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="50" title="" name="Profile__Url_Personal" value="<%=oProfile.DDValue("User.Url_Personal") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Login_Id",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Login
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="20" title="" name="User__Login_Id" value="<%=oProfile.DDValue("User.Login_Id") %>" ><font color="#FF0000"><b>&nbsp***&nbsp;</b></font>
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Password",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Password
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
  <% If  HasAdminRights > 0 then %>
      <input type="text" size="20" title="" name="User__Password" value="<%=oProfile.DDValue("User.Password") %>" >
  <% else %>
      <input type="password" size="20" title="" name="User__Password" value="<%=oProfile.DDValue("User.Password") %>" >
  <% end if %>
<font color="#FF0000"><b>&nbsp***&nbsp;</b></font>
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Passcheck",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Retype password
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
  <% If  HasAdminRights > 0 then %>
      <input type="text" size="20" title="" name="User__Passcheck" value="<%=oProfile.DDValue("User.Passcheck") %>" >
  <% else %>
      <input type="password" size="20" title="" name="User__Passcheck" value="<%=oProfile.DDValue("User.Passcheck") %>" >
  <% end if %>

<font color="#FF0000"><b>&nbsp***&nbsp;</b></font>
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Auto_Login",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Auto Login
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="radio" title="" name="User__Auto_Login" Value="Y" <%=oProfile.DDValue("User.Auto_Login",DDCHCK,"Y")%> >Yes
      <input type="radio" title="" name="User__Auto_Login" Value="N" <%=oProfile.DDValue("User.Auto_Login",DDCHCK,"N")%> >No
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("User.Emaillist",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Subscription email-list
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="radio" title="" name="User__Emaillist" Value="Y" <%=oProfile.DDValue("User.Emaillist",DDCHCK,"Y")%> >Yes
      <input type="radio" title="" name="User__Emaillist" Value="N" <%=oProfile.DDValue("User.Emaillist",DDCHCK,"N")%> >No
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <tr>
      <%FieldError=oProfile.DDValue("Profile.Gender",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Gender
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="radio" title="" name="Profile__Gender" Value="M" <%=oProfile.DDValue("Profile.Gender",DDCHCK,"M")%> >Male
      <input type="radio" title="" name="Profile__Gender" Value="F" <%=oProfile.DDValue("Profile.Gender",DDCHCK,"F")%> >Female
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <% If  HasAdminRights > 0 then %>
  <tr>
      <%FieldError=oProfile.DDValue("User.Rights",DDFIELDERROR) %>
      <td class="edit" width="167">
      <% If FieldError<>"" then response.write("<Font color=""red"">") %>
      Rights
      <% If FieldError<>"" then response.write("</Font>") %>
      </td>
      <td Class="Data" width="258">
      <input type="text" size="2" title="" name="User__Rights" value="<%=oProfile.DDValue("User.Rights") %>" >
      </td>
      <% If FieldError<>"" then %>
      <td Class="Error" width="133"><%=FieldError%></td>
      <% end if %>
  </tr>
  <% end if %>


  <tr>
    <%FieldError=oUser.DDValue("User.DefaultSkin",DDFIELDERROR) %>
    <td Class="Edit"><% If FieldError<>"" then response.write("<Font color=""red"">") %>
    Skin <% If FieldError<>"" then response.write("</Font>") %> </td>
    <td Class="Data"><%strDummy=oProfile.Call("Get_CreateSkinCombo","")%>
    </td>
    <% If FieldError<>"" then %>
            <td Class="Error"><%=FieldError%>
    </td>
    <% end if %>
  </tr>


  <tr>
    <td class="edit" width="167">Comments </td>
    <td width="258"><%=oProfile.DDValue ("Profile.Comments",DDEDIT,"60,15") %></td>
  </tr>

</table>

</blockquote>


<hr>
</form>
<div class="PageFooter">
<%=PageFooter%>
</div>


</div>

</div>


</body>
</html>