<%
'
' Our session management asp-code snippet which should be used for all normal CMS pages and 
' templates.
' This will allow anonymous access to the page while the other include files don't
'
' First retrieve any existing Session ID
Dim bNewSession
Dim sJavaScriptDetect
Dim iError
Dim bUseIis
Dim SID
Dim strRemoteAddr
Dim strRemoteHost
Dim strUserAgent
Dim strUrl
Dim strReferer
Dim strQueryString
Dim strDomainName
Dim strRequestMethod
Dim PageId
Dim iPreviewMode
Dim iJavaScript

bUseIis = 0
iPreviewMode = 0

oSession.Call "msg_InitWebSystem" 

PageId=Request("Page")
SID = Request("SessionID")
' response.write "Session ID = [" & SID & "]<br>"

If SID = "" Then
' Use the IIS Session object as an alternative method to carry over the session id from 
' page to page by means of the session-cookie
' Configurable only to be used if browsing anonymously
  bUseIIS=oSession.Call("get_UseIisSession")
  If bUseIIS > 0 Then
    SID = Session("SID")
  End if
End If

' response.write "Cms Initpage= ["& SID & "]<br>"

If SID = "" Then
  ' There was no session, create a new one but first check if it is someone we know
  ' by querying the cookie for our website.
  bNewSession = True

 'response.write "SID=empty= ["& SID & "]<br>"
  SID = Request.Cookies("ELECTOS")("SID")
  If SID = "" then
      ' New user or just no cookie (new or different PC)
'      response.write "No Cookie, creating a new user"

      iError = oUser.Call("Get_NewUserId")
      If iError = 0 then
        SID = oSession.Call("Get_SessionID")
'         response.write "NewUserId= [" & SID & "]"
        Session("SID") = SID
        Response.Cookies("ELECTOS")("SID") = SID
        Response.Cookies("ELECTOS").Expires = Date + 365
      end if
  else

      ' One of our good old visitors had a cookie set, retrieve his/her default settings

      oUser.Call "Get_UpdateUser",SID
'       response.write " UpdateUser = [" & SID & "]"
      SID = oSession.Call("Get_SessionID") ' update the session id if changed
  end if

  ' Collect some userinfo for the rest of the session
  strRemoteAddr = Request.ServerVariables.Item("REMOTE_ADDR")
  strRemoteHost = Request.ServerVariables.Item("REMOTE_HOST")
  strUserAgent  = Request.ServerVariables("HTTP_USER_AGENT")
  iError = oSession.Call("Get_UpdateRemoteInfo",strRemoteAddr,strRemoteHost,strUserAgent)
else
  '
  ' SID <> "" SessionID was passed in the querystring
  '
  iError = oSession.Call("Get_LoadSessionParameters",SID)
  If iError = 12 Then
    ' iError = 12 is what we get when the session has timed out
    bNewSession = True
  End If
' ToDo: What if an error is returned? If we are logged in we may want to redirect to timeout
'       Now we just create an anonymous session which for our standard pages is the most logical thing
'       we can do.
'  response.write "LoadSessionParameters= [" & SID & "] iError = " & iError
end if

' Collect page info from the GET interface for our eLectos session

strUrl         = Request.ServerVariables.Item("URL")
strReferer     = Request.ServerVariables("HTTP_USER_REFERER")
strQueryString = Request.ServerVariables.Item("QUERY_STRING")
strRequestMethod = Request.ServerVariables("REQUEST_METHOD")

If bUseIIS > 0 Then
  ' Store our session ID in the ASP session object
  Session("SID")=SID 
end if

sJavaScriptDetect = Request("Js")
If sJavaScriptDetect = "true" then  
'  response.write "J A V A S C R I P T  = O N "
  iError = oSession.Call("Get_UpdateJavascriptSupport","TRUE")
end if

' How to find out if a user has javascript disabled? You cannot easily retrieve this info. With the browscap plugin you
' can see if the browser supports javascripting, but not if this is disabled by the user.
' Our trick is to repost this same page using clientside javascript.
' We will only do this when a new session is created, so that the page has only to be resend once.
If bNewSession = True Then
  ' don't repost the page when we run our page thru a W3C validator
  If (Instr(UCase(strUserAgent),"W3C_VALIDATOR") = 0)  then 
    if bJsDetect = "" then
      iVoid = oSession.Call("get_JavascriptDetect",strUrl,strQueryString)
    End if
  End if
End if

iJavaScript = oSession.Call("Get_JavascriptEnabled")

' read our session settings into variables
'
ContribRecId=Request("ContribRecId")
DocType = oSession.Call("Get_DocumentType")
ContentType = oSession.Call("Get_ContentType")
SiteName = oSession.Call("Get_SiteName")
PageFooter = oSession.Call("Get_PageFooter")
IsLoggedIn = oSession.Call("Get_IsLoggedIn")
Skin = oSession.Call("Get_CascadingStyleSheet")
If IsLoggedIn > 0 then 
'  response.write "we are logged in"
  HasAdminRights = oSession.Call("Get_HasAdminRights")
  If HasAdminRights > 0 then
'    response.write "hasadminrights"
    ' iPreview_Mode = oSession.Call("Get_Preview_Mode","FALSE")
  End If 
  HasContributorRights = oSession.Call("Get_HasContributorRights")
  sUserName = oSession.Call("Get_UserName")
  If ContribRecId > 0 then
    bIsPublished=oContent.Call("Get_IsContributionPublished",ContribRecId)
  end if
else
  sUserName = "NOT LOGGED IN"
  iPreviewMode = oSession.Call("Get_Preview_Mode","TRUE")
end if

' Get specific page details if the page is not part of our CMS system
MyError = oPage.Call("Get_Page",PageId,0) ' the second parameter is a dummy
If MyError = "0" then response.redirect ("error.asp?Page=" + PageId)
If MyError = "-1" then 
'  CookieSessionAlive = oUser.Call("Get_CookieSessionAlive")
'  If CookieSessionAlive = 0 then
    Response.redirect ("timeout.asp?Page=" + PageId)
'  end if
end if
sTitle=oPage.DDValue("Page.Description")
sMasterId=oPage.DDValue("Page.Master_Id")

iError = oSession.Call("Get_UpdateQueryInfo",strRequestMethod,strUrl,strReferer,strQueryString,sTitle,PageId)
iPreviewMode = oSession.Call("Get_Preview_Mode")
strDomainName = oSession.Call("get_DomainName")
PageHeader = oSession.Call("Get_PageHeader")
sCompanyLogo = oSession.Call("Get_CompanyLogo")



If ContribRecId > 0 then
  sRepository=oContent.Call("Get_SetRepositoryId",ContribRecId)
end if 
%>