<%
'
' Our session management asp-code snippet
'
' First retrieve any existing Session ID
Dim bNewSession
Dim bJsDetect
Dim iError
Dim bUseIis
Dim SID
Dim strRemoteAddr
Dim strRemoteHost
Dim strUserAgent
Dim strUrl
Dim strReferer
Dim strQueryString
Dim IsLoggedIn
Dim LoginOK

PageId=Request("Page")
Login=Request("BtnLogin")
LoginName=Request("LoginName")
Password=Request("Password")
SID = Request("SessionID")
TimeOut = Request("TimeOut")
sUserName = "NOT LOGGED IN"
IsLoggedIn = 0
LoginOK = 0
bUseIis = 0
sTitle = "Loginscreen"

oSession.Call "msg_InitWebSystem" 

If SID = "" Then
' Only to be used to copy over settings when browsing anonymously
  bUseIIS=oSession.Call("get_UseIisSession")
  If bUseIIS > 0 Then
    SID = Session("SID")
  End if
End If


If SID = "" Then
  bNewSession = True
  SID = Request.Cookies("ELECTOS")("SID")
  If SID = "" then
    ' New user or just no cookie (new or different PC)
    ' response.write "No Cookie, creating a new user"
  
    ' Create a new session 
    iError = oUser.Call("Get_NewUserId")
    If iError = 0 then
      SID = oSession.Call("Get_SessionID")
      ' response.write "NewUserId= [" & SID & "]"
      Session("SID") = SID
      Response.Cookies("ELECTOS")("SID") = SID
      Response.Cookies("ELECTOS").Expires = Date + 365
    end if
  else
    ' One of our good old visitors had a cookie set
    oUser.Call "Get_UpdateUser",SID
    ' response.write " UpdateUser = [" & SID & "]"
    SID = oSession.Call("Get_SessionID") ' update the session id if changed
  end if

  ' Collect some userinfo for the rest of the session
  strRemoteAddr = Request.ServerVariables.Item("REMOTE_ADDR")
  strRemoteHost = Request.ServerVariables.Item("REMOTE_HOST")
  strUserAgent  = Request.ServerVariables("HTTP_USER_AGENT")
  iError = oSession.Call("Get_UpdateRemoteInfo",strRemoteAddr,strRemoteHost,strUserAgent)

else
  ' SID <> "" SessionID is passed in the querystring
  iError = oSession.Call("Get_LoadSessionParameters",SID)
  If iError > 0 then
    If iError <> 12 Then
      response.write "<p class ='error'>An error happened while loading the session parameters.<br>"
      response.write ("Error code = " & iError & ".</p>")
    End If 
     ' Server.transfer("login.asp")
    SID = oSession.Call("Get_SessionID") ' update the session id if changed
    'Response.Redirect "timeout.asp"
  End If 
  ' An anonymous session is created whenever an error is returned. 
  'response.write "LoadSessionParameters= [" & SID & "] iError = " & iError
end if

' Collect page info from the GET interface for our eLectos session

strUrl         = Request.ServerVariables.Item("URL")
strReferer     = Request.ServerVariables("HTTP_USER_REFERER")
strQueryString = Request.ServerVariables.Item("QUERY_STRING")
strRequestMethod = Request.ServerVariables("REQUEST_METHOD")

If bUseIIS > 0 Then
  ' Store our session ID in the ASP session object
  Session("SID")=SID 
end if

sJavaScriptDetect = Request("Js")
If sJavaScriptDetect = "true" then  
'  response.write "J A V A S C R I P T  = O N "
  iError = oSession.Call("Get_UpdateJavascriptSupport","TRUE")
end if

' How to find out if a user has javascript disabled? You cannot easily retrieve this info. With the browscap plugin you
' can see if the browser supports javascripting, but not if this is disabled by the user.
' Our trick is to repost this same page using clientside javascript.
' We will only do this when a new session is created, so that the page has only to be resend once.
If bNewSession = True Then
  ' don't repost the page when we run our page thru a W3C validator
  If (Instr(UCase(strUserAgent),"W3C_VALIDATOR") = 0)  then 
    if bJsDetect = "" then
      iVoid = oSession.Call("get_JavascriptDetect",strUrl,strQueryString)
    End if
  End if
End if

iJavaScript = oSession.Call("Get_JavascriptEnabled")

If Login <> "" then
   LoginOK = oUser.Call("Get_Login",LoginName,Password,SID)
   If LoginOK > 0 then 
      ' Get the updated encrypted SessionID
      SID = oSession.Call("Get_SessionID") 
      IsLoggedIn = oSession.Call("Get_IsLoggedIn")
      'If (int(IsLoggedIn) > 0) then 

      'CookieAutoLogin = oUser.Call("Get_CookieAutoLogin")
      'If CookieAutoLogin > 0 then 
      '  Response.Cookies("ELECTOS")("SID") = SID
      'end if

      NewURL=oPage.Call("Get_URL",PageId) ' Go to a default login if defined
      If NewURL <> "" then Response.Redirect NewURL
   end if
end if

iError = oSession.Call("Get_UpdateQueryInfo",strRequestMethod,strUrl,strReferer,strQueryString,sTitle,PageId)

DocType = oSession.Call("Get_DocumentType")
ContentType = oSession.Call("Get_ContentType")
SiteName = oSession.Call("Get_SiteName")
PageHeader = oSession.Call("Get_PageHeader")
sCompanyLogo = oSession.Call("Get_CompanyLogo")
PageFooter = oSession.Call("Get_PageFooter")
%>

<% response.write DocType %>
<html>

<head>
<% oSession.Call "msg_WriteHtmlHeadSection" %>

<script language="javascript">
<!--
    function DoSetStartingFormField() {
        document.Logonform.LoginName.focus() ;
    }
//-->
</script>
</head>

<body onLoad="DoSetStartingFormField()">

<div align="left">

<%=PageHeader%>

<div Class="Menu">

<%=sCompanyLogo%>

<p class="menu"><%oMenu.Call "Get_Displaymenu", "","NORMAL",PageId,sMasterId%></p>

<p class="menu">
<%
 HitCount = oPage.Call ("Get_CurrentHitCount")
 response.write("<p><Font Size=-2 Color='White'>"+ HitCount + " Visitors<br><i></i></Font></p>")
%>
</p>

<a href="http://www.webappdeveloper.com" target="_blank"><img src="Images/Powered%20by%20WebApp%20Server.gif" width="102" height="36" border="0" alt="WebApp Logo" align="center"></a></p>
</div>

</div>

<div class="PageContent">

<H3>Login pagina</H3>
<%If TimeOut <> "" then%>
<p class="Error"><b>Your session has timed out, or you have been trying to contact a page for which you currently do not have the required credentials.</b><br>
You will have to enter your login and password again in order to gain access to the requested information.</p>
<%End If%>
<%If sErrorMessage <> "" then%>
<p class="Error"><%=sErrorMessage%></p>
<%End If%>

<p class="Content">This where you have to enter some extra info about what people can achieve by using the portal. <br>
.</p>
<p class="Content">.</p>
<p class="Content">.</p>
<p class="Content"><%If (int(LoginOK) = -1) then%>The loginname and/or the password which you entered <Font color="red">do not match.</Font><br>
        Make sure that you entered the correct credentials and try again.<br>
        Be aware that the loginname and password entered are case-sensitive. <br>
           <%else 
           If (int(LoginOK) <> 0) then
              HasAdminRights = oSession.Call("Get_HasAdminRights")
              If (int(HasAdminRights) > 0) then
                sNewUrl = ("viewpage.asp?Page=HOME&SessionID=" & SID)
              else
                sNewUrl = ("usermenu.asp?Page=UMHOME&SessionID=" & SID)
              end if
              Response.Redirect sNewUrl
              ' response.write sNewUrl
           end if%> 
        <%end if%></p>

<form action="login.asp" method="POST" name="Logonform">
<input type="hidden" name="Page" value="<%=PageId%>">
<input type="hidden" name="SessionID" value="<%=SID%>">
<table border="0" cellpadding="0" cellspacing="0" Class="Entrytable">
    <tr>
      <td width="5%"></td>
      <td width="25%"></td>
      <td width="25%"></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td width="25%" class="Label">Loginname:</td>
      <td width="25%" class="Data"><input type="text" size="20" name="LoginName"></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td></td>
      <td></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td width="25%" class="Label">Password:</td>
      <td width="25%" class="Data"><input type="password" size="20" name="Password"></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td width="25%"></td>
      <td width="25%"></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td></td>
      <td><input type="submit" name="BtnLogin" value="Login"></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%" height="15"></td>
      <td width="25%" height="15"></td>
      <td width="25%" height="15"></td>
      <td width="5%" height="15"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td width="25%">
      <%
       response.write("<a title='Click here to sign up and become a member' ")
       response.write("href='Profile.asp?NewUser=1&SessionID=" & SID & "'>Sign Up</a>")
      %>
      </td>
      <td width="25%">
      <a href="mailpassword.asp">Password retrieval service</a>
      </td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td width="25%"></td>
      <td width="25%"></td>
      <td width="5%"></td>
    </tr>
    <tr>
      <td width="5%"></td>
      <td width="25%"></td>
      <td width="25%"></td>
      <td width="5%"></td>
    </tr>
  </table>
</form>

<%=PageFooter%>

</div>

</div>
</body>
</html>